<template>
  <component :is="type" />
</template>

<script>
import Vue from 'vue'
import { CarbonIconsVue } from '@carbon/icons-vue';
import AlignHorizontalCenter from '@carbon/icons-vue/es/align--horizontal-center/32.js';
import AlignHorizontalLeft from '@carbon/icons-vue/es/align--horizontal-left/32.js';
import AlignHorizontalRight from '@carbon/icons-vue/es/align--horizontal-right/32.js';

Vue.use(CarbonIconsVue, {
  components: {
    AlignHorizontalCenter,
    AlignHorizontalLeft,
    AlignHorizontalRight
  },
});

export default {
  props: ['type']
}
</script>